PROFILE(5)

NAME
profile - login shell startup

SYNOPSIS
~/.profile
/etc/profile
/etc/default/profile

DESCRIPTION
Interactive login shell sessions in sh(1) execute the commands in the profile script upon startup, searching for the user's script at ~/.profile, any system administrator provided script at /etc/profile, or any operating system provided script at /etc/default/profile, whichever exists first.

The shrc(5) script is run instead in interactive non-login shell sessions.

FILES
~/.profile
    The user's profile script.
/etc/profile
    The system administor provided profile script.
/etc/default/profile
    The operating system provided profile script.

EXAMPLES
To portably run the shrc(5) script upon startup of non-login interactive shells in all shells:

    export ENV="$HOME/.shrc"

SEE ALSO
dash(1), sh(1), shrc(5)

BUGS
sh(1) is currently primitive and cannot execute most scripts. Beware of sharing the profile script between it and other shells such as dash(1).